#ifndef _CTEXTRECORD_H_
#define _CTEXTRECORD_H_

#include "../App/EngineH.h"

#pragma warning(disable: 4786)

class C_TEXT_RECORD_0
{
private:
	std::vector<std::string> _vBuffer;
	HWND _hWnd;
	bool _write;

public:
	C_TEXT_RECORD_0();
	~C_TEXT_RECORD_0();
	
	inline void _Prekresli()
	{
		InvalidateRect(_hWnd,NULL,TRUE);
	}
public:
	void DrawText(HWND hWnd);
	void Add(std::string text);
	void Add(std::string text, int value);
	void Add(std::string text, float value);
	void SetHwnd(HWND hWnd){_hWnd = hWnd;}
	void SetWrite(bool b) {_write = b;}
	
};

extern C_TEXT_RECORD_0 textREC;

#endif //_CTEXTRECORD_H_
